globus_common_include.h(3)

NAME
globus_common_include.h - Include System Headers.

SYNOPSIS

#include 'globus_config.h'
#include <sys/types.h>
#include <sys/stat.h>
#include <unistd.h>
#include <sys/param.h>
#include <fcntl.h>
#include <pwd.h>
#include <netdb.h>
#include <netinet/in.h>
#include <sys/socket.h>
#include <sys/uio.h>
#include <sys/time.h>
#include <time.h>
#include <stdint.h>
#include <errno.h>
#include <stdlib.h>
#include <stdio.h>
#include <limits.h>
#include <assert.h>
#include <signal.h>
#include <string.h>
#include <ctype.h>
#include <stdarg.h>
#include <dirent.h>
#include <inttypes.h>
#include 'globus_types.h'

  Macros

#define __USE_POSIX

Detailed Description

Include System Headers.

Defines the macros and typedefs common to all globus_common components.

Macro Definition Documentation

  #define __USE_POSIX
GET IPv6 compatible types (at least with GNU)

Author

Generated automatically by Doxygen for globus_common from the source code.